package com.muyu.domain;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @PackageName:com.muyu.domain
 * @ClassName:TaskInputInfo
 * @Description: 数据输入表
 * @author: ￥陈思豪￥
 * @date: 2024/8/22 16:49
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class TaskInputInfo extends BaseEntity {



    private Integer id;

    /**
     * 节点id
     */
    private String nodeId;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 任务id(taskInfo)
     */
    private Integer taskId;

    /**
     * 数据库id
     */
    private String databaseId;

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 表别名
     */
    private String tableAsName;

    /**
     * 表字段
     */
    private String tableField;

    /**
     * 表字段别名
     */
    private String tableAsField;

    /**
     * 字段规则
     */
    private String fieldAsEngineId;






}
