package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.TableInfo;
import com.muyu.domain.resp.TableInfoCasResp;
import com.muyu.domain.resp.TaskInputInfoResp;
import com.muyu.service.TableInfoService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static com.muyu.common.core.utils.PageUtils.startPage;

/**
 * @PackageName:com.muyu.controller
 * @ClassName:TaskInputController
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/22 20:17
 */
@RestController
@RequestMapping("/tableInfo")
public class TableInfoController {

    @Autowired
    private TableInfoService tableInfoService;

    @RequestMapping(path = "/list", method = RequestMethod.GET)
    @Operation(summary = "查看任务节点详情", description = "根据任务的名称或者状态 ，进行模糊查询")
    public Result<List<TableInfoCasResp>> selectList() {
        startPage();
        List<TableInfoCasResp> taskInputInfos = tableInfoService.selectList();
        return Result.success(
                taskInputInfos
        );
    }

    /**
     * 返回对应任务信息
     * @param id
     * @return
     */
    @RequestMapping(path = "/findByTableId", method = RequestMethod.POST)
    @Operation(summary = "查看任务节点详情", description = "根据任务的名称或者状态 ，进行模糊查询")
    public Result<TableInfo> findByTableId(@RequestParam Integer id) {
        startPage();
        TableInfo taskInfoResp = tableInfoService.findByTableId(id);
        return Result.success(
                taskInfoResp
        );
    }


//    /**
//     * 添加新任务
//     */
//    @RequestMapping(path = "/addTask", method = RequestMethod.POST)
//    @Operation(summary = "添加任务", description = "根据传来的数据进行任务添加")
//    public Result<String> addTask(
//            @Validated @RequestBody TaskInfo taskInfo) {
//
//        return Result.success(taskService.addTask(taskInfo),"添加成功");
//    }
//
//    /**
//     * 修改任务信息
//     */
//    @RequestMapping(path = "/updateById", method = RequestMethod.POST)
//    @Operation(summary = "对指定任务进行修改", description = "根据传来的数据进行相应的修改")
//    public Result<String> updateById(
//            @Validated @RequestBody TaskInfo taskInfo) {
//        return Result.success(
//                taskService.updById(taskInfo),"修改成功"
//        );
//    }
//
//    /**
//     * 删除任务
//     */
//    @RequestMapping(path = "/deleteById/{id}", method = RequestMethod.POST)
//    @Operation(summary = "对指定任务进行删除", description = "根据传来的id进行删除")
//    public Result<String> deleteById(@PathVariable(name = "id") Integer id) {
//        return Result.success(
//                taskService.deleteById(id), "删除成功"
//        );
//    }

}
