package com.muyu.service.impl;

import cn.hutool.json.JSON;
import com.alibaba.fastjson2.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.Structure;
import com.muyu.domain.TaskInputInfo;
import com.muyu.mapper.StructureMapper;
import com.muyu.service.StructureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @PackageName:com.muyu.service.impl
 * @ClassName:StructureServiceImpl
 * @Description:
 * @author: ￥陈思豪￥
 * @date: 2024/8/24 20:48
 */
@Service
public class StructureServiceImpl extends ServiceImpl<StructureMapper, Structure> implements StructureService {

    @Autowired
    private StructureMapper structureMapper;

    @Override
    public List<Structure> findStructureList(Integer tableId) {
        LambdaQueryWrapper<Structure> queryWrapper = new LambdaQueryWrapper<Structure>();
        queryWrapper.eq(Structure::getTableId, tableId);
        List<Structure> structures = structureMapper.selectList(queryWrapper);
        return structures;
    }
}
